Subject: Re: arm26 toolchain issues
To: Ben Harris <>
From: Perry E. Metzger <>
List: tech-toolchain
Date: 05/04/2000 10:09:11
Ben Harris <> writes:
> GCC:
> I'm currently using a mildly hacked GCC 2.95.2.  I don't think there are
> any features it has over GCC 2.8.1

I'll point out that some time after the 1.5 branch we'll be switching
to a newer GCC (though that may be contingent on unbreaking a lot of stuff.)

BTW, given that the branch is going to be Very Very Soon, perhaps you
should just wait for it before doing your import, to make sure nothing
outside your area gets broken...

> I'm currently using the same structure-alignment rules as
> NetBSD/arm32.  If anyone thinks I shouldn't, now would be a good time to
> tell me so.

It isn't clear that *we* should be using an ABI different from everone
else's on ARM, but that's a broader issue. :)

> I'm currently using a recent Cygnus binutils snapshot (000413), since the
> last released version (2.9.1) doesn't support ARM ELF.  I'm inclined to
> suspect that backporting the ARM ELF stuff from a current binutils into
> 2.9.1 will be interesting.

Again, we have to upgrade at some point on all platforms...

Perry Metzger
"Ask not what your country can force other people to do for you..."